Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451156 - =dev-vcs/git-1.7.12.4 fails test phase
Summary: =dev-vcs/git-1.7.12.4 fails test phase
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: TESTFAILURE
: 459132 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-01-10 10:43 UTC by Vicente Olivert Riera (RETIRED)
Modified: 2014-02-04 08:43 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (file_451156.txt,434.49 KB, text/plain)
2013-01-10 10:43 UTC, Vicente Olivert Riera (RETIRED)
Details
An other git build log with failing t3701 t7501 (git_build.log,408.59 KB, text/plain)
2013-01-16 07:04 UTC, Myckel Habets
Details
Buildlog on AMD64; failed tests: t3600 t7508 (build.log,419.16 KB, text/plain)
2013-01-30 19:33 UTC, Mark Reiche
Details
... same for x86 (dev-vcs:git-1.7.12.4:20130130-094415.log,471.07 KB, text/plain)
2013-01-30 19:36 UTC, Mark Reiche
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vicente Olivert Riera (RETIRED) gentoo-dev 2013-01-10 10:43:31 UTC
Created attachment 335044 [details]
build log

failed test(s): t3701 t3900 t3901 t4201 t5100 t7501 t8005 t9350

fixed   0
success 7907
failed  44
broken  48
total   8332
 * ERROR: dev-vcs/git-1.7.12.4 failed (test phase):
 *   tests failed. Please file a bug.
Comment 1 Rafał Mużyło 2013-01-10 17:06:08 UTC
not ok - 4 iso-8859-1
#	
#	
#		git config i18n.commitencoding ISO8859-1 &&
#		# use author and committer name in ISO-8859-1 to match it.
#		. "$TEST_DIRECTORY"/t3901-8859-1.txt &&
#		test_tick &&
#		echo rosten >file &&
#		git commit -s -m den file &&
#		git fast-export wer^..wer |
#			sed "s/wer/i18n/" |
#			(cd new &&
#			 git fast-import &&
#			 git cat-file commit i18n | grep "Áéí óú")
#	
#
Comment 2 Myckel Habets 2013-01-16 07:04:55 UTC
Created attachment 335772 [details]
An other git build log with failing t3701 t7501

I also had failing tests on amd64 (t3701 and t7501).

emerge --info
Portage 2.1.11.31 (default/linux/amd64/10.0/no-multilib, gcc-4.6.3, glibc-2.15-r3, 3.5.7-gentoo x86_64)
=================================================================
System uname: Linux-3.5.7-gentoo-x86_64-Intel-R-_Core-TM-_i3-2100_CPU_@_3.10GHz-with-gentoo-2.1
Timestamp of tree: Wed, 16 Jan 2013 06:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo gamerlay hasufell x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news nostrip parallel-fetch protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="nl_NL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/hasufell /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa amd64 apng berkdb bzip2 cairo cegui cli consolekit corefonts cracklib crypt cups cxx dbus dri egl extras ffmpeg flac fortran g3dvl gallium gdbm gdu gif gles gmp gnutls gpm gstreamer gtk gtk3 gudev hddtemp hwdb iconv icu ipv6 jpeg kdrive libkms libnotify lm_sensors logrotate lzma minizip mmx mng modules mp3 mpeg mudflap ncurses nls nptl nsplugin ogg ogre opengl openmp openvg pam pcre png policykit pppd python python3 qt3support r600-llvm-compiler readline sdl sensord session smpeg sqlite sse sse2 ssl ssse3 startup-notification svg tcpd theora threads thunar tiff truetype udev unicode upnp vdpau vorbis webp webphoto wxwidgets xcb xft xml xvfb zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="nl" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon r600 vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Mark Reiche 2013-01-30 19:33:06 UTC
Created attachment 337332 [details]
Buildlog on AMD64; failed tests:  t3600 t7508

I have other test failures on AMD64:

failed test(s): t3600 t7508

fixed   0
success 8237
failed  8
broken  47
total   8418

Portage 2.1.11.31 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r3, 3.2.1-gentoo-r2 x86_64)
=================================================================
System uname: Linux-3.2.1-gentoo-r2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_U9400_@_1.40GHz-with-gentoo-2.1
Timestamp of tree: Wed, 30 Jan 2013 05:15:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo gamerlay-stable ubuntu x-mark-overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2 -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=core2 -msse4.1"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo "
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/ubuntu /home/mark/mark-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cddb cdr cli consolekit cracklib crypt cups curl custom-optimization cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac gdbm gif gimp gpm gtk hal iconv ipv6 java jpeg kde kipi lame laptop lcms ldap libnotify lzma mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl pam pango pch pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 readline sdl semantic-desktop session spell sse sse2 ssl ssse3 startup-notification svg tcpd threads tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="net" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 4 Mark Reiche 2013-01-30 19:36:00 UTC
Created attachment 337334 [details]
... same for x86


failed test(s): t3600 t7508

fixed   0
success 8241
failed  8
broken  47
total   8418

Portage 2.1.11.31 (default/linux/x86/10.0, gcc-4.5.4, unavailable, 3.2.1-gentoo-r2 i586)                                                                      
=================================================================                                                                                             
sys-devel/automake:       1.10.3, 1.11.6                                                                                                                      
sys-devel/gcc:            4.5.4                                                                                                                               
sys-devel/gcc-config:     1.7.3                                                                                                                               
sys-devel/libtool:        2.4-r1                                                                                                                              
sys-devel/make:           3.82-r4                                                                                                                             
sys-kernel/linux-headers: 3.6 (virtual/os-headers)                                                                                                            
sys-libs/glibc:           2.15-r3                                                                                                                             
Repositories: gentoo                                                                                                                                          
ACCEPT_KEYWORDS="x86"                                                                                                                                         
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"                                                                                                                  
CBUILD="i586-pc-linux-gnu"                                                                                                                                    
CFLAGS="-march=geode -O2 -pipe -fomit-frame-pointer -mmmx -m3dnow"                                                                                            
CHOST="i586-pc-linux-gnu"                                                                                                                                     
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"                                                                                                          
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cg
i-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"                                                        
CXXFLAGS="-march=geode -O2 -pipe -fomit-frame-pointer -mmmx -m3dnow -g0"                                                                                      
DISTDIR="/usr/portage/distfiles"                                                                                                                              
FCFLAGS="-O2 -march=i686 -pipe"                                                                                                                               
FEATURES="assume-digests binpkg-logs ccache collision-protect compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news
 parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch"                    
FFLAGS="-O2 -march=i686 -pipe"                                                                                                                                
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo "                                                                                              
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"                                                                                                        
PKGDIR="/usr/portage/packages"                                                                                                                                
PORTAGE_CONFIGROOT="/"                                                                                                                                        
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude
=/distfiles --exclude=/local --exclude=/packages"                                                                                                             
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                     
PORTDIR="/usr/portage"                                                                                                                                        
PORTDIR_OVERLAY=""                                                                                                                                            
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"                                                                                                         
USE="3dnow X aac acl acpi alsa berkdb branding bzip2 cddb cli crypt curl custom-optimization cxx dbus gdbm gif gimp gtk iconv jpeg mailwrapper mmx modules mp3
 mpeg mudflap ncurses nls nptl pam pch pcre png readline rrdtool session ssl tcpd threads unicode x86 xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-
modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem y
mfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null 
plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_
default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cac
he env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique
_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df int
erface irq load memory rrdtool swap syslog" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock it
rax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse" KER
NEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
 LINGUAS="de en_GB" LIRC_DEVICES="serial" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby
19" SANE_BACKENDS="snapscan" USERLAND="GNU" VIDEO_CARDS="geode" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy cond
ition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"                                                                              
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTA
GE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 5 Markus Oehme 2013-02-02 09:21:00 UTC
The new version git-1.8.1.2 now runs tests fine for me.
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2013-02-26 17:53:35 UTC
*** Bug 459132 has been marked as a duplicate of this bug. ***
Comment 7 Lars Wendler (Polynomial-C) gentoo-dev 2014-02-04 08:43:27 UTC
Affected versions are no longer in portage.